// WaveletTransformDlg.cpp : implementation file
//

#include "stdafx.h"
#include "WaveletTransform.h"
#include "WaveletTransformDlg.h"

#include "WaveletTransformDoc.h"

#include "ArrangeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWaveletTransformDlg dialog


CWaveletTransformDlg::CWaveletTransformDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CWaveletTransformDlg::IDD, pParent)
{	
	m_pDoc = NULL;	
}

CWaveletTransformDlg::CWaveletTransformDlg(CWaveletTransformDoc *pDoc, CWnd* pParent /*=NULL*/)
	: CDialog(CWaveletTransformDlg::IDD, pParent)
{	
	m_pDoc = pDoc; //  Doc Ŭ 
	m_Level = 1; // Wavelet ط ʱȭ
	m_Error = 0.0f; // MSE ʱȭ
	m_SNR = 0.0f; // SNR ʱȭ
	m_FilterCheck = 0; // Filter Check ʱȭ
}


void CWaveletTransformDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWaveletTransformDlg)
	DDX_Text(pDX, IDC_EDIT1, m_Level);
	DDX_Text(pDX, IDC_EDIT2, m_Error);
	DDX_Text(pDX, IDC_EDIT3, m_SNR);
	DDX_Radio(pDX, IDC_RADIO1, m_FilterCheck);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CWaveletTransformDlg, CDialog)
	//{{AFX_MSG_MAP(CWaveletTransformDlg)
	ON_BN_CLICKED(IDC_BUTTON_UPDATE, OnButtonUpdate)
	ON_BN_CLICKED(IDC_BUTTON_ARRANGE, OnButtonArrange)
	ON_BN_CLICKED(IDC_BUTTON_END, OnButtonEnd)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWaveletTransformDlg message handlers

void CWaveletTransformDlg::OnButtonUpdate() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	m_pDoc->m_Level = m_Level; // ȭڿ Է  Level  DocŬ 

	m_pDoc->OnWaveletEncode(); // ̺귿 ȯ

	m_pDoc->OnWaveletDecode(); // ̺귿 ȯ
	m_pDoc->OnSNR(); // ȣ  
	
	UpdateData(FALSE);	//  Update
	
}

void CWaveletTransformDlg::OnButtonArrange() 
{
	// ư    
    //   ð  ϱ ϱ  ȭ ͸ ϵ Ѵ

	CArrangeDlg dlg;

	dlg.Width = m_pDoc->m_Width;
	dlg.Height = m_pDoc->m_Height;
	dlg.m_tempImage = m_pDoc->m_ArrangeImage;

	UpdateData(TRUE);

	dlg.DoModal(); // Ŀ  ȭ 
	
}

void CWaveletTransformDlg::OnButtonEnd() 
{
	CDialog::OnOK();
	
}
