// WaveletTransformView.h : interface of the CWaveletTransformView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_WAVELETTRANSFORMVIEW_H__B6BFC234_0E3D_408C_8EB7_16F01FBA935E__INCLUDED_)
#define AFX_WAVELETTRANSFORMVIEW_H__B6BFC234_0E3D_408C_8EB7_16F01FBA935E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CWaveletTransformView : public CView
{
protected: // create from serialization only
	CWaveletTransformView();
	DECLARE_DYNCREATE(CWaveletTransformView)

// Attributes
public:
	CWaveletTransformDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWaveletTransformView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CWaveletTransformView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CWaveletTransformView)
	afx_msg void OnWaveletTransform();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in WaveletTransformView.cpp
inline CWaveletTransformDoc* CWaveletTransformView::GetDocument()
   { return (CWaveletTransformDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WAVELETTRANSFORMVIEW_H__B6BFC234_0E3D_408C_8EB7_16F01FBA935E__INCLUDED_)
